use std::process::Command;
use std::env;
    
fn main() {
    let out_dir = env::var("OUT_DIR").unwrap();
    
    let status = Command::new("make")
        .arg(&format!("OUT_DIR={}/", out_dir))
        .arg("SHIPPING")
        .status().unwrap();
    if !status.success() {
        panic!();
    }
    println!("cargo:rustc-link-search=native={}", out_dir);
//    println!("cargo:rustc-link-lib=static=hash");
    println!("cargo:rustc-link-lib=dylib=crypto");
    
}

